Bug 197295 - Review Request: perl-List-Compare
Review Request: perl-List-Compare
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT 1215575
  Show dependency treegraph
 
Reported: 2006-06-29 19:50 EDT by Chris Weyl
Modified: 2015-05-14 16:05 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-02 15:17:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2006-06-29 19:50:02 EDT
Spec URL: http://home.comcast.net/~ckweyl/perl-List-Compare.spec
SRPM URL: http://home.comcast.net/~ckweyl/perl-List-Compare-0.33-0.fc5.src.rpm

Description:
Advanced functionality to compare members of two or more lists.
Comment 1 Jason Tibbitts 2006-06-29 20:59:22 EDT
Note that BuildRequires: perl is redundant; it is part of the default build root.

Review:
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text not included upstream.
* source files match upstream:
   205677fa8e207afedbf800673a3c14de  List-Compare-0.33.tar.gz
* latest version is being packaged.
* BuildRequires are proper.
* package builds in mock (development, x86_64).
* rpmlint is silent.
* final provides and requires are sane:
   perl(List::Compare) = 0.33
   perl(List::Compare::Accelerated)
   perl(List::Compare::Base::_Auxiliary) = 0.33
   perl(List::Compare::Base::_Engine) = 0.33
   perl(List::Compare::Functional) = 0.33
   perl(List::Compare::Multiple)
   perl(List::Compare::Multiple::Accelerated)
   perl-List-Compare = 0.33-0.fc6
  =
   perl(:MODULE_COMPAT_5.8.8)
   perl(Carp)
   perl(List::Compare::Base::_Auxiliary)
   perl(List::Compare::Base::_Engine)
   perl(strict) 
* no shared libraries are present.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
* %check is present and all tests pass:
   All tests successful.
   Files=28, Tests=22945,  4 wallclock secs ( 3.59 cusr +  0.47 csys =  4.06 CPU)
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.

APPROVED
Comment 2 Chris Weyl 2006-07-02 15:17:30 EDT
Imported and built for FC-4,5,devel.

Thanks!
Comment 3 Petr Šabata 2015-04-28 10:53:35 EDT
Package Change Request
======================
Package Name: perl-List-Compare
New Branches: el6 epel7
Owners: psabata
InitialCC: perl-sig
Comment 4 Gwyn Ciesla 2015-04-28 12:40:10 EDT
Git done (by process-git-requests).
Comment 5 Fedora Update System 2015-04-29 06:42:56 EDT
perl-List-Compare-0.49-1.el7,perl-Tangerine-0.15-1.el7,tangerine-0.16-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/perl-List-Compare-0.49-1.el7,perl-Tangerine-0.15-1.el7,tangerine-0.16-1.el7
Comment 6 Fedora Update System 2015-04-29 06:54:40 EDT
perl-List-Compare-0.49-1.el6,perl-Tangerine-0.15-1.el6,tangerine-0.16-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-List-Compare-0.49-1.el6,perl-Tangerine-0.15-1.el6,tangerine-0.16-1.el6
Comment 7 Fedora Update System 2015-05-14 16:04:24 EDT
perl-Tangerine-0.15-1.el7, perl-List-Compare-0.49-1.el7, tangerine-0.16-1.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2015-05-14 16:05:06 EDT
perl-List-Compare-0.49-1.el6, perl-Tangerine-0.15-1.el6, tangerine-0.16-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.